#pragma once

#include "CoreMinimal.h"
#include "CoreMemoryDefaultQuestProgressBehaviour.h"
#include "GameplayTagContainer.h"
#include "CoreMemoryRoleSpecificQuestProgressBehaviour.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UCoreMemoryRoleSpecificQuestProgressBehaviour : public UCoreMemoryDefaultQuestProgressBehaviour
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> _roleSpecificTagsForSurvivor;

	UPROPERTY(EditAnywhere)
	TArray<FGameplayTag> _roleSpecificTagsForKiller;

public:
	UCoreMemoryRoleSpecificQuestProgressBehaviour();
};

FORCEINLINE uint32 GetTypeHash(const UCoreMemoryRoleSpecificQuestProgressBehaviour) { return 0; }
